# Callback

void GSM_SetIncomingCallCallback(GSM_StateMachine *s, IncomingCallCallback callback, void *user_data)

  Sets callback for incoming calls.

  Parameters:

    - s – State machine.

    - callback – Pointer to callback function.

    - user_data – Second parameter which will be passed to callback.

void GSM_SetIncomingSMSCallback(GSM_StateMachine *s, IncomingSMSCallback callback, void *user_data)

  Sets callback for incoming SMSes.

  Parameters:

    - s – State machine.

    - callback – Pointer to callback function.

    - user_data – Second parameter which will be passed to callback.

void GSM_SetIncomingCBCallback(GSM_StateMachine *s, IncomingCBCallback callback, void *user_data)

  Sets callback for incoming CB.

  Parameters:

    - s – State machine.

    - callback – Pointer to callback function.

    - user_data – Second parameter which will be passed to callback.

void GSM_SetIncomingUSSDCallback(GSM_StateMachine *s, IncomingUSSDCallback callback, void *user_data)

  Sets callback for incoming USSD.

  Parameters:

    - s – State machine.

    - callback – Pointer to callback function.

    - user_data – Second parameter which will be passed to callback.

void GSM_SetSendSMSStatusCallback(GSM_StateMachine *s, SendSMSStatusCallback callback, void *user_data)

  Sets callback for sending SMS.

  Parameters:

    - s – State machine.

    - callback – Pointer to callback function.

    - user_data – Second parameter which will be passed to callback.

typedef void (*IncomingCallCallback)(GSM_StateMachine *s, GSM_Call *call, void *user_data)

  Callback for incoming calls.

typedef void (*IncomingSMSCallback)(GSM_StateMachine *s, GSM_SMSMessage *sms, void *user_data)

  Callback for incoming SMS.

typedef void (*IncomingCBCallback)(GSM_StateMachine *s, GSM_CBMessage *cb, void *user_data)

  Callback for incoming cell broadcast.

typedef void (*IncomingUSSDCallback)(GSM_StateMachine *s, GSM_USSDMessage *ussd, void *user_data)

  Callback for icoming USSD.

typedef void (*SendSMSStatusCallback)(GSM_StateMachine *s, int status, int MessageReference, void *user_data)

  Callback for sending SMS.